﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Input;

namespace WpfApplication18
{
    public class PersonModel : INotifyPropertyChanged
    {

        private ObservableCollection<Person> person;

        public ObservableCollection<Person> Person
        {
            get { return person; }
            set
            {
                person = value;
                OnPropertyChanged("Person");
            }
        }


        public string MyListPropertyName = "MyList";

        private List<string> _myList;

        public List<string> MyList
        {
            get
            {
                return _myList;
            }

            set
            {
                _myList = value;
                OnPropertyChanged(MyListPropertyName);
            }
        }

        public PersonModel()
        {

            person = new ObservableCollection<Person>();
            this.GetDetails();
            MyList = new List<string>();

            MyList.Add("Syncfuion Software private limited, Chennai, Tamil Nadu, India");
            MyList.Add("Syncfuion Software private limited,");
            MyList.Add("SSP, Chennai, Tamil Nadu");
            MyList.Add("Syncfuion Software private limited, Chennai, Tamil Nadu, India");
            MyList.Add("Syncfuion Software private limited,");
            MyList.Add("SSP, Chennai, Tamil Nadu");
            MyList.Add("Syncfuion Software private limited, Chennai, Tamil Nadu, India");
            MyList.Add("Syncfuion Software private limited,");
            MyList.Add("SSP, Chennai, Tamil Nadu");
          
            
        }
         private void GetDetails()
        {
            //for (int i = 0; i < 10; i++)
            {
                Person.Add(new Person("Farjana", "Parveen", 23));
                Person.Add(new Person("Parveen", "Farjana", 24));
                Person.Add(new Person("Riswana", "Parveen", 26));
                //Person.Add(new Person("Rahila", "Parveen", 32));
                //Person.Add(new Person("Nirmala", "Devi", 33));
                //Person.Add(new Person("Komala", "Devi", 31));
            }
        }
        public event PropertyChangedEventHandler PropertyChanged;
        public void OnPropertyChanged(string propertyName)
        {
            PropertyChangedEventHandler handler = PropertyChanged;
            if (handler != null)
            {
                var e = new PropertyChangedEventArgs(propertyName);
                handler(this, e);
            }
        }
    }
}